Skip to main content
GET
/
proxy
/
account-abstraction
/
operations
List of recent user operations
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/proxy/account-abstraction/operations?apikey='
{
  "items": [
    {
      "address": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "block_number": "<string>",
      "entry_point": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "entry_point_version": "v0.6",
      "fee": "<string>",
      "hash": "<string>",
      "status": true,
      "timestamp": "2023-11-07T05:31:56Z",
      "transaction_hash": "<string>"
    }
  ],
  "next_page_params": {
    "page_size": 50,
    "page_token": "3937439,0xbb680271614883525ac8056c388489e80b3518ec12ec46e1b910c7238c46b565"
  }
}

Documentation Index

Fetch the complete documentation index at: https://blockscout-mf-14206.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

page_size
integer

Number of items returned per page

Required range: 1 <= x <= 50
page_token
string

Page token for paging

Response

List of user operations with pagination.

items
UserOperationInList · object[]
required
next_page_params
object
required
Example:
{
"page_size": 50,
"page_token": "3937439,0xbb680271614883525ac8056c388489e80b3518ec12ec46e1b910c7238c46b565"
}